"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _defineProperty2 = require("babel-runtime/helpers/defineProperty");

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

exports.default = createSchema;

var _tinycolor = require("tinycolor2");

var _tinycolor2 = _interopRequireDefault(_tinycolor);

require("../options");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function createSchema(opts) {
  var type = opts.type,
      data = opts.data;

  var schemas = {};
  var schema = {
    document: {
      marks: [{
        type: type,
        data: (0, _defineProperty3.default)({}, data, function (e) {
          return !e || (0, _tinycolor2.default)(e).isValid();
        })
      }]
    }
  };
  schemas.getSchema = function () {
    return schema;
  };
  return schemas;
}